package locadora.modelo.DAO;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import locadora.jdbc.ConnectionFactory;
import locadora.modelo.user.Mensagem;

public class MensagemDAO {
	 private Connection connection;
	 
	   public MensagemDAO() throws SQLException{
		   this.connection=ConnectionFactory.getConnection();
	   }
	   
	   public void adiciona(Mensagem mensagem) throws SQLException{
		   PreparedStatement stmt = this.connection.prepareStatement("insert into mensagem(idcategoria,descricao,autorMensagem,emailAutorMensagem) values(?,?,?,?)");
		   stmt.setInt(1,mensagem.getIdCategoria());
		   stmt.setString(2,mensagem.getDescricao());
		   stmt.setString(3,mensagem.getAutorMensagem());
		   stmt.setString(4,mensagem.getEmailAutorMensagem());
		   
		   stmt.execute();
		   stmt.close();
	   }
	   
}
